GETPASS(3)

NAME
getpass - read a password

SYNOPSIS
char *getpass(prompt)
char *prompt;

DESCRIPTION
Getpass reads a password from the file /dev/tty, or if that cannot be opened, from the standard input, after prompting with the null-terminated string prompt and disabling echoing. A pointer is returned to a null-terminated string of at most 8 characters.

FILES
/dev/tty

SEE ALSO
crypt(3)

BUGS
The return value points to static data whose content is overwritten by each call.